# IceGrid::DeploymentException

## Overview

### exception DeploymentException

An exception for deployment errors.

#### Used By

Admin::addApplication
Admin::addObject
Admin::addObjectWithType
Admin::enableServer
Admin::getDefaultApplicationDescriptor
Admin::getServerAdmin
Admin::getServerPid
Admin::getServerState
Admin::instantiateServer
Admin::isServerEnabled
Admin::patchServer
Admin::removeAdapter
Admin::removeApplication
Admin::removeObject
Admin::sendSignal
Admin::startServer
Admin::stopServer
Admin::syncApplication
Admin::updateApplication
Admin::updateObject
Admin::writeMessage
AdminSession::openServerLog
AdminSession::openServerStdErr
AdminSession::openServerStdOut

## Data Members

string reason;

  The reason for the failure.